<template>
  <v-alert
    dense
    v-model="alert"
    style="width: 60%; margin: auto"
    dismissible
    close-icon="mdi-close"
    :type="color"
    elevation="2"
    text
  >
    {{ message }}
  </v-alert>
</template>

<script>
  export default {
    name: 'MaterialAlert',

    data () {
      return {
        alert: false,
        message: '',
        color: 'success',
        t: null
      }
    },

    created () {
      this.$store.subscribe((mutation, state) => {
        if (mutation.type === 'drawer/showMessage') {
          this.message = state.drawer.content
          this.color = state.drawer.color
          this.alert = true
          console.log(this.color, this.message)
          if(this.t)
            clearTimeout(this.t)
          this.t = setTimeout(()=> this.alert = false, 3000)
        }
      })
    },
  }
</script>

